Entities\Session:
    type: entity
    table: sessions
    repositoryClass: Repositories\SessionRepository
    indexes:
        last_activity_idx:
            columns: [ last_activity ]
    id:
        session_id:
            type: string
            nullable: false
            length: 40
            id: true
    fields:
        ip_address:
            type: string
            nullable: false
            length: 45
        user_agent:
            type: string
            nullable: false
            length: 120
        last_activity:
            type: integer
            nullable: false
            length: 10
        user_data:
            type: text
            nullable: false
    lifecycleCallbacks: { }